
TYPO3.Neos - Feature # 49949

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To: Aske Ertmann
Updated: 2013-07-24 Due date:
Subject: Respect restricted roles for modules
Description

    -  It should be possible to configure a role for submodules
    -  The menu component should respect the role restriction
    -  The module controller should prevent accessing a restricted role without having the necessary role

Associated revisions
Revision 400160b6 - 2013-07-24 14:59 - Aske Ertmann

[!!!][FEATURE] Restrict access to specific modules

Additionally adds a version parameter to the menu
controller request, to ensure that changes in roles
will update the accessible modules accordingly.

This is breaking since it's no longer possible to use
the standard module controller if no controller is
specified. This is done to be able to enforce restrictions
on overview modules with resource policies.

Change-Id: Iad2207afc5c64a9e66d8785a6fa2e70217dc0ccb
Resolves: #49949
Reviewed-on: https://review.typo3.org/22131
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-07-11 22:01 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#2 - 2013-07-11 22:45 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos

#3 - 2013-07-13 12:03 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#4 - 2013-07-14 18:57 - Aske Ertmann
- Assigned To set to Aske Ertmann

#5 - 2013-07-15 11:47 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#6 - 2013-07-15 11:50 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#7 - 2013-07-15 13:28 - Aske Ertmann
- Tracker changed from Task to Feature

#8 - 2013-07-15 23:30 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#9 - 2013-07-15 23:33 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#10 - 2013-07-16 21:06 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#11 - 2013-07-16 21:12 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#12 - 2013-07-17 00:10 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#13 - 2013-07-17 00:10 - Gerrit Code Review
Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#14 - 2013-07-17 09:45 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#15 - 2013-07-18 09:14 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22131

#16 - 2013-07-24 15:38 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:400160b6b5f7b7b4c9836fe97689ec3ba764b390.
